Bug 799657 - incorrect (b43) module loaded for BCM43225 (brcmsmac)
incorrect (b43) module loaded for BCM43225 (brcmsmac)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-03 20:14 EST by Samuel Jones
Modified: 2012-08-10 13:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-10 13:39:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Samuel Jones 2012-03-03 20:14:57 EST
Description of problem:

On a fresh installation of Fedora 17 Alpha, b43 is loaded as the module for WiFi in NetworkManager which causes the card to fail.

brcmsmac is compiled as a module in the kernel, yet b43 is incorrectly loaded, blacklisting b43 causes brcmsmac to be loaded instead and the card works fine.

This PCI-id of this card is: 

01:00.0 0280: 14e4:4357 (rev 01)
01:00.0 Network controller: Broadcom Corporation BCM43225 802.11b/g/n (rev 01)

Version-Release number of selected component (if applicable): 

[samuel@dharma ~]$ uname -r
3.3.0-0.rc5.git3.1.fc17.x86_64

[samuel@dharma ~]$ NetworkManager --version
0.9.3-0.2.git20120215.fc17
Comment 1 Josh Boyer 2012-03-05 10:42:05 EST
John, this one seems to pop up every so often iirc.  Are we missing a patch in f17 that was somehow in f15/f16?
Comment 2 John W. Linville 2012-03-05 11:37:25 EST
Not a patch, but we should disable CONFIG_B43_BCMA_EXTRA to avoid overlaps between b43 and brcmsmac.  I made the change in f17 and rawhide, and it should be done that way if/when f16 gets rebased.
Comment 3 Josh Boyer 2012-08-10 13:39:21 EDT
This should be fixed per comment #2.

Note You need to log in before you can comment on or make changes to this bug.